# Changelog
_Styling Cross-Browser Compatible Range Inputs with Sass / SCSS_

## 2.0.0 (Major Sass Update)

- **Breaking:**  Migrated to the `sass:color` module.
- Improved organization and structure of SCSS code for better maintainability.  Variables are grouped logically, and mixins are nested for encapsulation.
- Introduced more granular control over styling with additional variables for thumb and track border radii, hover/active states, and more.
- Enhanced browser compatibility using the `appearance: none;` property and addressed potential vendor prefix issues with a recommendation to use Autoprefixer.
- Improved performance by pre-calculating static values within mixins.
- Reduced code redundancy by making shadow parameters variable within the shadow mixin.
- Improved accessibility by adding a distinct focus style to the thumb.
- Updated documentation and README to reflect these changes.

## 1.5.3
-   Use of Sass' `math.div` on SCSS file. (thanks [Mitch J.](https://github.com/toBeOfUse))

## 1.5.2
-   Range track and thumb tweaks for Mozilla Firefox. (thanks [Adam Jagosz](https://github.com/hyvyys))

## 1.5.1
-   Correction of input cursor to default. (thanks [pichfl](https://github.com/pichfl))

## 1.5.0
-   Added `:disabled` state. (thanks [mpavel](https://github.com/mpavel))
-   Improved normalization across browsers. (thanks [guidezpl](https://github.com/guidezpl) and [GufNZ](https://github.com/GufNZ))
-   Removed Firefox border outline on focus. (thanks [DeanPoulin](https://github.com/DeanPoulin))

## 1.4.1
-   Fixing example page.

## 1.4.0
-   NPM Package.

## 1.3.0
-   Better default style and example page.

## 1.2.0
-   Improvement in SCSS lint. (thanks [Dustin McCaffree](https://github.com/dMcCaffree))

## 1.1.1
-   Fix track height in IE and thumb margin in Edge. (thanks [danclaydonpm](https://github.com/danclaydonpm) and [jenstornell](https://github.com/jenstornell))

## 1.1.0
-   Make all variables as '!default'. (thanks [n0nick](https://github.com/n0nick))

## 1.0.1
-   SCSS-Lint fix. (thanks [CookPete](https://github.com/CookPete))
